Bug 434014 - cman failed massrebuild attempt for GCC 4.3
Summary: cman failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cman   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Feist
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: gcc43errors
TreeView+ depends on / blocked
 
Reported: 2008-02-22 12:55 UTC by Jesse Keating
Modified: 2013-01-10 02:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 03:11:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the build (3.58 KB, patch)
2008-03-27 02:34 UTC, Christopher Aillon
no flags Details | Diff

Description Jesse Keating 2008-02-22 12:55:46 UTC
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=437158
Exit code was 1, check the build.log for the failed buildArch task.

Comment 1 Tyler Owen 2008-02-22 13:51:49 UTC
Error from PPC build.log

http.cc: In member function 'int
HttpMethod::DealWithHeaders(pkgAcqMethod::FetchResult&, ServerState*)':
http.cc:954: error: no matching function for call to
'find(__gnu_cxx::__normal_iterator<std::string**, std::vector<std::string*,
std::allocator<std::string*> > >, __gnu_cxx::__normal_iterator<std::string**,
std::vector<std::string*, std::allocator<std::string*> > >, std::string*)'
make[1]: *** [http.o] Error 1

Comment 2 Christopher Aillon 2008-03-27 02:34:21 UTC
Created attachment 299253 [details]
Patch to fix the build

This fixes the build for me; but CVS is restricted so I can't commit or build.

Comment 3 Jesse Keating 2008-04-08 02:55:27 UTC
Submitted as http://koji.fedoraproject.org/koji/taskinfo?taskID=555916


Note You need to log in before you can comment on or make changes to this bug.